Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api.script
Interface IDataSourceInstanceHandle

All Superinterfaces:
  IJavascriptContext

    public interface IDataSourceInstanceHandle

extends IJavascriptContext

A runtime instance of a data source. Java scripts associated with a data source can use this interface to get/set data source properties.

Method Summary
`java.util.Map` | `getAllExtensionProperties()` Gets all public extension property, in the form of a (name, value) pair.
`java.lang.String` | `getExtensionID()` Gets the ID of the ODA extension which defines this type of data source
`java.lang.String` | `getExtensionProperty(java.lang.String name)` Get the extension property value
`java.lang.String` | `getName()` Gets the name of this data source
`void` | `setExtensionProperty(java.lang.String name, java.lang.String value)` Set the extension property value

Methods inherited from interface org.eclipse.birt.data.engine.api.script.IJavascriptContext
`getScriptScope`

Method Detail

### getName

    java.lang.String getName()

  Gets the name of this data source

### getExtensionID

    java.lang.String getExtensionID()

  Gets the ID of the ODA extension which defines this type of data source

### getExtensionProperty

    java.lang.String getExtensionProperty(java.lang.String name)

  Get the extension property value

  Parameters:
    `name` -
  Returns:
    the extention property

### setExtensionProperty

    void setExtensionProperty(java.lang.String name,
                              java.lang.String value)

  Set the extension property value

  Parameters:
    `name` -
    `value` -

### getAllExtensionProperties

    java.util.Map getAllExtensionProperties()

  Gets all public extension property, in the form of a (name, value) pair. The property name is of String type. The property value is of string values. The caller may modify the returned property map. The effect of such modification depends on the event handler which makes such it.

  Returns:
    Public properties as a Map of name-set pairs. Null if none is defined.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.